%define name segusoLand
%define version 0
%define cvs 20031229
%define rel 1mdk

%define prologvers %(rpm -q --qf "%{VERSION}" swi-prolog)

Summary: A file manager/desktop-environment
Name: %{name}
Version: %{version}
Release: 0.%{cvs}.%{rel}
Source0: %{name}-%{cvs}.tar.bz2
License: GPL
Group: File tools
Url: http://sourceforge.net/projects/segusoland/
BuildRoot: %{_tmppath}/%{name}-buildroot

BuildRequires: swi-prolog >= 5.2.11
BuildRequires: libboost-devel
BuildRequires: libgtkmm2.0-devel
BuildRequires: ncurses-devel
Requires: swi-prolog

%description
SegusoLand is a file-manager/desktop-environment for Linux
that provides an easy and homogeneous way to specify any action
you want. It is written in prolog and C++. It features an innovative
interaction paradigm I called "intelligent options narrowing".

%prep
%setup -q -n segusoland

%build
cd src
g++ -o segusoLand segusoLand.cc \
  `pkg-config gtkmm-2.0 --cflags --libs` \
  -I%_libdir/pl-%{prologvers}/include/ \
  -L%_libdir/pl-%{prologvers}/runtime/%_target%_gnu/ \
  -DLIBDIR=\"%_datadir/%name\" \
  -DIMAGEDIR=\"%_datadir/%name\" \
  -lplmt -lpthread -lcurses
  
# perl -pi -e 's!img/!%_datadir/%name/img/!' %name.pl

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %buildroot{%_bindir,%_menudir,%_miconsdir,%_liconsdir,%_datadir/%name}

install -m 755 src/%name %buildroot%_bindir/%name
install -m 644 src/%name.pl %buildroot%_datadir/%name

cp -vfr  src/img %buildroot%_datadir/%name

cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
        command="%{_bindir}/%{name}"\
        title="SegusoLand"\
        longtitle="Desktop manager"\
        needs="x11"\
        section="Office/Tasks management"\
        icon="archiving_section.png"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc INSTALL-instructions.txt doc/README.txt
%_bindir/%name
%_datadir/%name
%_menudir/%name

%changelog
* Mon Dec 29 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0-0.20031229.1mdk
- new cvs version, should fix pb

* Sat Dec 27 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0-0.20031227.2mdk
Requires: swi-prolog (I sucks, but you know that)

* Sat Dec 27 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0-0.20031227.1mdk
- fix path
- new cvs version

* Thu Dec 25 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0-0.20031225.1mdk
- make a Christmas gift
